<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::Quaternion Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_quaternion.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classframework_1_1core_1_1_quaternion-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::Quaternion Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a quaternion.  
 <a href="classframework_1_1core_1_1_quaternion.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_quaternion_8h_source.html">Quaternion.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3a1c3830ca00a49c41d2246e26ac39c6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a3a1c3830ca00a49c41d2246e26ac39c6">Quaternion</a> (float <a class="el" href="classframework_1_1core_1_1_quaternion.html#a47aef1d550786760389d409078bf14cb">q0</a>=1, float <a class="el" href="classframework_1_1core_1_1_quaternion.html#adace442ce2538585fe5dbdd9da79275e">q1</a>=0, float <a class="el" href="classframework_1_1core_1_1_quaternion.html#ad5db0b992ffe05a7ee9514e162e7cd8c">q2</a>=0, float <a class="el" href="classframework_1_1core_1_1_quaternion.html#a80176bc6571ad07f9a61daa49d303410">q3</a>=0)</td></tr>
<tr class="memdesc:a3a1c3830ca00a49c41d2246e26ac39c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3a1c3830ca00a49c41d2246e26ac39c6">More...</a><br /></td></tr>
<tr class="separator:a3a1c3830ca00a49c41d2246e26ac39c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8d1965a6222c840daae5536f2503a67"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#ad8d1965a6222c840daae5536f2503a67">~Quaternion</a> ()</td></tr>
<tr class="memdesc:ad8d1965a6222c840daae5536f2503a67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ad8d1965a6222c840daae5536f2503a67">More...</a><br /></td></tr>
<tr class="separator:ad8d1965a6222c840daae5536f2503a67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbb77de24a84b6a031f33fbb25b729a8"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#acbb77de24a84b6a031f33fbb25b729a8">GetNorm</a> (void) const </td></tr>
<tr class="memdesc:acbb77de24a84b6a031f33fbb25b729a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Norm.  <a href="#acbb77de24a84b6a031f33fbb25b729a8">More...</a><br /></td></tr>
<tr class="separator:acbb77de24a84b6a031f33fbb25b729a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af71f96f0edf8491d46e080b3a3cd4f29"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#af71f96f0edf8491d46e080b3a3cd4f29">Normalize</a> (void)</td></tr>
<tr class="memdesc:af71f96f0edf8491d46e080b3a3cd4f29"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normalize.  <a href="#af71f96f0edf8491d46e080b3a3cd4f29">More...</a><br /></td></tr>
<tr class="separator:af71f96f0edf8491d46e080b3a3cd4f29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24f424cf9147df43632a5c2ed4ee3db6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a24f424cf9147df43632a5c2ed4ee3db6">GetLogarithm</a> (<a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;logarithm)</td></tr>
<tr class="memdesc:a24f424cf9147df43632a5c2ed4ee3db6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Logarithm.  <a href="#a24f424cf9147df43632a5c2ed4ee3db6">More...</a><br /></td></tr>
<tr class="separator:a24f424cf9147df43632a5c2ed4ee3db6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a051f1d1f9f921991a0ab1f414878cfd0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a051f1d1f9f921991a0ab1f414878cfd0">GetLogarithm</a> (void)</td></tr>
<tr class="memdesc:a051f1d1f9f921991a0ab1f414878cfd0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Logarithm.  <a href="#a051f1d1f9f921991a0ab1f414878cfd0">More...</a><br /></td></tr>
<tr class="separator:a051f1d1f9f921991a0ab1f414878cfd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e201925afd5d8777040e162beb28454"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a9e201925afd5d8777040e162beb28454">Conjugate</a> (void)</td></tr>
<tr class="memdesc:a9e201925afd5d8777040e162beb28454"><td class="mdescLeft">&#160;</td><td class="mdescRight">Conjugate.  <a href="#a9e201925afd5d8777040e162beb28454">More...</a><br /></td></tr>
<tr class="separator:a9e201925afd5d8777040e162beb28454"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43e13e22b373ffa61c754cbf97e759e7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a43e13e22b373ffa61c754cbf97e759e7">GetConjugate</a> (void)</td></tr>
<tr class="memdesc:a43e13e22b373ffa61c754cbf97e759e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Conjugate.  <a href="#a43e13e22b373ffa61c754cbf97e759e7">More...</a><br /></td></tr>
<tr class="separator:a43e13e22b373ffa61c754cbf97e759e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ed5fb6d063f6e72b845d23898b18b6d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a7ed5fb6d063f6e72b845d23898b18b6d">GetDerivative</a> (const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;angularSpeed) const </td></tr>
<tr class="memdesc:a7ed5fb6d063f6e72b845d23898b18b6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Derivative.  <a href="#a7ed5fb6d063f6e72b845d23898b18b6d">More...</a><br /></td></tr>
<tr class="separator:a7ed5fb6d063f6e72b845d23898b18b6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a01fc4d483e3e3418e1e3d1f9b3a718"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a0a01fc4d483e3e3418e1e3d1f9b3a718">Derivate</a> (const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;angularSpeed)</td></tr>
<tr class="memdesc:a0a01fc4d483e3e3418e1e3d1f9b3a718"><td class="mdescLeft">&#160;</td><td class="mdescRight">Derivate.  <a href="#a0a01fc4d483e3e3418e1e3d1f9b3a718">More...</a><br /></td></tr>
<tr class="separator:a0a01fc4d483e3e3418e1e3d1f9b3a718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afebfad4202fe91b844d605b25874e9aa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#afebfad4202fe91b844d605b25874e9aa">ToEuler</a> (<a class="el" href="classframework_1_1core_1_1_euler.html">Euler</a> &amp;euler) const </td></tr>
<tr class="memdesc:afebfad4202fe91b844d605b25874e9aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to euler angles.  <a href="#afebfad4202fe91b844d605b25874e9aa">More...</a><br /></td></tr>
<tr class="separator:afebfad4202fe91b844d605b25874e9aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e092fe84484f3f881613a63730e344a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_euler.html">Euler</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a6e092fe84484f3f881613a63730e344a">ToEuler</a> (void) const </td></tr>
<tr class="memdesc:a6e092fe84484f3f881613a63730e344a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to euler angles.  <a href="#a6e092fe84484f3f881613a63730e344a">More...</a><br /></td></tr>
<tr class="separator:a6e092fe84484f3f881613a63730e344a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed265e0c2884ea6031aba6225b0ee232"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#aed265e0c2884ea6031aba6225b0ee232">ToRotationMatrix</a> (<a class="el" href="classframework_1_1core_1_1_rotation_matrix.html">RotationMatrix</a> &amp;matrix) const </td></tr>
<tr class="memdesc:aed265e0c2884ea6031aba6225b0ee232"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to rotation matrix.  <a href="#aed265e0c2884ea6031aba6225b0ee232">More...</a><br /></td></tr>
<tr class="separator:aed265e0c2884ea6031aba6225b0ee232"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfa1ca989b7109427c84cac38293d8b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfa1ca989b7109427c84cac38293d8b3"></a>
<a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const <a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion)</td></tr>
<tr class="separator:abfa1ca989b7109427c84cac38293d8b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00ff3b8544cc556a447f53c0f998ab7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00ff3b8544cc556a447f53c0f998ab7f"></a>
<a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const <a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion)</td></tr>
<tr class="separator:a00ff3b8544cc556a447f53c0f998ab7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15cd5ed68a28e48459c0d315244f5e93"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15cd5ed68a28e48459c0d315244f5e93"></a>
<a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion)</td></tr>
<tr class="separator:a15cd5ed68a28e48459c0d315244f5e93"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a47aef1d550786760389d409078bf14cb"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a47aef1d550786760389d409078bf14cb">q0</a></td></tr>
<tr class="memdesc:a47aef1d550786760389d409078bf14cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">q0  <a href="#a47aef1d550786760389d409078bf14cb">More...</a><br /></td></tr>
<tr class="separator:a47aef1d550786760389d409078bf14cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adace442ce2538585fe5dbdd9da79275e"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#adace442ce2538585fe5dbdd9da79275e">q1</a></td></tr>
<tr class="memdesc:adace442ce2538585fe5dbdd9da79275e"><td class="mdescLeft">&#160;</td><td class="mdescRight">q1  <a href="#adace442ce2538585fe5dbdd9da79275e">More...</a><br /></td></tr>
<tr class="separator:adace442ce2538585fe5dbdd9da79275e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5db0b992ffe05a7ee9514e162e7cd8c"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#ad5db0b992ffe05a7ee9514e162e7cd8c">q2</a></td></tr>
<tr class="memdesc:ad5db0b992ffe05a7ee9514e162e7cd8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">q2  <a href="#ad5db0b992ffe05a7ee9514e162e7cd8c">More...</a><br /></td></tr>
<tr class="separator:ad5db0b992ffe05a7ee9514e162e7cd8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80176bc6571ad07f9a61daa49d303410"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_quaternion.html#a80176bc6571ad07f9a61daa49d303410">q3</a></td></tr>
<tr class="memdesc:a80176bc6571ad07f9a61daa49d303410"><td class="mdescLeft">&#160;</td><td class="mdescRight">q3  <a href="#a80176bc6571ad07f9a61daa49d303410">More...</a><br /></td></tr>
<tr class="separator:a80176bc6571ad07f9a61daa49d303410"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a quaternion. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3a1c3830ca00a49c41d2246e26ac39c6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::Quaternion::Quaternion </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>q0</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>q1</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>q2</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>q3</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a quaternion using specified values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">q0,scalar</td><td>part </td></tr>
    <tr><td class="paramname">q1</td><td></td></tr>
    <tr><td class="paramname">q2</td><td></td></tr>
    <tr><td class="paramname">q3</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad8d1965a6222c840daae5536f2503a67"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::Quaternion::~Quaternion </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="acbb77de24a84b6a031f33fbb25b729a8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::Quaternion::GetNorm </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Norm. </p>
<dl class="section return"><dt>Returns</dt><dd>norm </dd></dl>

</div>
</div>
<a class="anchor" id="af71f96f0edf8491d46e080b3a3cd4f29"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Quaternion::Normalize </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Normalize. </p>

</div>
</div>
<a class="anchor" id="a24f424cf9147df43632a5c2ed4ee3db6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Quaternion::GetLogarithm </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>logarithm</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Logarithm. </p>
<p>This method also Normalize the quaternion.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">logarithm</td><td>output logarithm </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a051f1d1f9f921991a0ab1f414878cfd0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> framework::core::Quaternion::GetLogarithm </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Logarithm. </p>
<p>This method also Normalize the quaternion.</p>
<dl class="section return"><dt>Returns</dt><dd>output logarithm </dd></dl>

</div>
</div>
<a class="anchor" id="a9e201925afd5d8777040e162beb28454"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Quaternion::Conjugate </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Conjugate. </p>

</div>
</div>
<a class="anchor" id="a43e13e22b373ffa61c754cbf97e759e7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> framework::core::Quaternion::GetConjugate </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Conjugate. </p>
<dl class="section return"><dt>Returns</dt><dd>Conjugate </dd></dl>

</div>
</div>
<a class="anchor" id="a7ed5fb6d063f6e72b845d23898b18b6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> framework::core::Quaternion::GetDerivative </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>angularSpeed</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Derivative. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">w</td><td>angular speed</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>derivative </dd></dl>

</div>
</div>
<a class="anchor" id="a0a01fc4d483e3e3418e1e3d1f9b3a718"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Quaternion::Derivate </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>angularSpeed</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Derivate. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">w</td><td>rotationonal speed </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afebfad4202fe91b844d605b25874e9aa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Quaternion::ToEuler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_euler.html">Euler</a> &amp;&#160;</td>
          <td class="paramname"><em>euler</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to euler angles. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">euler</td><td>output euler angles </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6e092fe84484f3f881613a63730e344a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_euler.html">Euler</a> framework::core::Quaternion::ToEuler </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to euler angles. </p>
<dl class="section return"><dt>Returns</dt><dd>euler angles </dd></dl>

</div>
</div>
<a class="anchor" id="aed265e0c2884ea6031aba6225b0ee232"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Quaternion::ToRotationMatrix </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_rotation_matrix.html">RotationMatrix</a> &amp;&#160;</td>
          <td class="paramname"><em>matrix</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to rotation matrix. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">m</td><td>output matrix </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a47aef1d550786760389d409078bf14cb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::Quaternion::q0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>q0 </p>

</div>
</div>
<a class="anchor" id="adace442ce2538585fe5dbdd9da79275e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::Quaternion::q1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>q1 </p>

</div>
</div>
<a class="anchor" id="ad5db0b992ffe05a7ee9514e162e7cd8c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::Quaternion::q2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>q2 </p>

</div>
</div>
<a class="anchor" id="a80176bc6571ad07f9a61daa49d303410"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::Quaternion::q3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>q3 </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
